summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Alfredsen <loki_val@gentoo.org>2008-07-06 11:21:48 +0000
committerPeter Alfredsen <loki_val@gentoo.org>2008-07-06 11:21:48 +0000
commit160e62b2f9803b6664a7951bbbee15af420d8349 (patch)
treefb796de4a6468cd8155f3172fe7879272e21cbea /app-misc/g15stats/files
parentbump to r10. xulrunner-1.9 enabled ebuild. (diff)
downloadgentoo-2-160e62b2f9803b6664a7951bbbee15af420d8349.tar.gz
gentoo-2-160e62b2f9803b6664a7951bbbee15af420d8349.tar.bz2
gentoo-2-160e62b2f9803b6664a7951bbbee15af420d8349.zip
Initial commit. Thanks Vadim Efimov <evadim@evadim.ru> of bug #210192 for the ebuild.
(Portage version: 2.2_rc1/cvs/Linux 2.6.25.8 i686)
Diffstat (limited to 'app-misc/g15stats/files')
-rw-r--r--app-misc/g15stats/files/g15stats-1.0.confd10
-rw-r--r--app-misc/g15stats/files/g15stats-1.0.initd24
2 files changed, 34 insertions, 0 deletions
diff --git a/app-misc/g15stats/files/g15stats-1.0.confd b/app-misc/g15stats/files/g15stats-1.0.confd
new file mode 100644
index 000000000000..85895706fde9
--- /dev/null
+++ b/app-misc/g15stats/files/g15stats-1.0.confd
@@ -0,0 +1,10 @@
+# /etc/conf.d/g15stats: Configuration for the G15 stats
+
+#Gather statistics from named interface (ie eth0)
+#Network Screen displays Total bytes In/Out, history graph, Peak speed.
+IFACE="eth0"
+
+#-nsa
+#Scale network graphs against highest speed recorded. The
+#default is to scale against the highest peak in the current graph.
+EXTRA_OPTS="" \ No newline at end of file
diff --git a/app-misc/g15stats/files/g15stats-1.0.initd b/app-misc/g15stats/files/g15stats-1.0.initd
new file mode 100644
index 000000000000..2e69478398ea
--- /dev/null
+++ b/app-misc/g15stats/files/g15stats-1.0.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15stats/files/g15stats-1.0.initd,v 1.1 2008/07/06 11:21:48 loki_val Exp $
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ need g15daemon
+ after xdm
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --background --make-pidfile --pidfile ${PIDFILE} --exec \
+ /usr/bin/g15stats -- --interface "${IFACE}" "${EXTRA_OPTS}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name g15stats
+ eend $?
+}